<?php
/**
*
* @package board3 portal addon for nationalflags
* @version $Id: v_1_0_2.php 2017-02-08
* @author 2017 Theriddler
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace theriddler\b3pnationalflags\migrations;

class v_1_0_2 extends \phpbb\db\migration\migration
{
	static public function depends_on()
	{
		return array(
			'\phpbb\db\migration\data\v310\extensions',
			'\phpbb\db\migration\data\v31x\v316',
			'\board3\portal\migrations\v210_rc2'
		);
	}

	public function revert_data()
	{
		if ($this->db_tools->sql_table_exists("{$this->table_prefix}portal_modules"))
		{
			$columns = $this->db_tools->sql_list_columns("{$this->table_prefix}portal_modules");

			if (isset($columns['module_id']) && isset($columns['module_classname']))
			{
				$portal_b3pnationalflags_configs = array();

				$sql = "SELECT module_id
						FROM {$this->table_prefix}portal_modules
						WHERE module_classname " . $this->db->sql_like_expression('\\\theriddler\\\b3pnationalflags' . $this->db->get_any_char());
				$result = $this->sql_query($sql);
				while ($row = $this->db->sql_fetchrow($result))
				{
					$portal_b3pnationalflags_configs[] = "theriddler_b3pnationalflags_{$row['module_id']}";
				}
				$this->db->sql_freeresult($result);

				if (sizeof($portal_b3pnationalflags_configs))
				{
					$sql = "DELETE FROM {$this->table_prefix}config
							WHERE " . $this->db->sql_in_set('config_name', portal_b3pnationalflags_configs);
					$this->sql_query($sql);
				}

				$sql = "DELETE FROM {$this->table_prefix}portal_modules
						WHERE module_classname " . $this->db->sql_like_expression('\\\theriddler\\\b3pnationalflags' . $this->db->get_any_char());
				$this->sql_query($sql);
			}
		}

		// Run if not installed board3 portal extension
		if (!isset($portal_b3pnationalflags_configs))
		{
			$sql = 'DELETE FROM ' . CONFIG_TABLE . '
					WHERE config_name ' . $this->db->sql_like_expression('board3_display' . $this->db->get_any_char());
			$this->sql_query($sql);
		}

		return array();
	}
}
